Bug 1927393 - 4.7 still points to 4.6 catalog images
Summary: 4.7 still points to 4.6 catalog images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.7
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.8.0
Assignee: Kevin Rizza
QA Contact: Bruno Andrade
URL:
Whiteboard:
Depends On:
Blocks: 1927456
TreeView+ depends on / blocked
 
Reported: 2021-02-10 16:21 UTC by Kevin Rizza
Modified: 2021-07-27 22:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:43:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-marketplace pull 380 0 None closed Bug 1927393: update defaults to 4.7 2021-02-15 07:53:53 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:44:17 UTC

Description Kevin Rizza 2021-02-10 16:21:57 UTC
Description of problem:
Operator Marketplace still creates the default catalog sources to point to the 4.6 index image tags for redhat, certified, and ibm marketplace catalogs.

Version-Release number of selected component (if applicable):
4.7

How reproducible:
always

Steps to Reproduce:
1. Check what the catalogs point to in the openshift-marketplace namespace

Actual results:
registry.redhat.io/redhat/redhat-operator-index:v4.6
registry.redhat.io/redhat/certified-operator-index:v4.6
registry.redhat.io/redhat/redhat-marketplace-index:v4.6

Expected results:
registry.redhat.io/redhat/redhat-operator-index:v4.7
registry.redhat.io/redhat/certified-operator-index:v4.7
registry.redhat.io/redhat/redhat-marketplace-index:v4.7

Comment 3 Bruno Andrade 2021-02-12 12:31:42 UTC
Looks good, marking as VERIFIED. 

OCP Version : 4.7.0-0.nightly-2021-02-12-013204

oc get catalogsource redhat-operators community-operators certified-operators -o yaml -n openshift-marketplace | grep image:
          f:image: {}
    image: registry.redhat.io/redhat/redhat-operator-index:v4.7
          f:image: {}
    image: registry.redhat.io/redhat/community-operator-index:v4.7
          f:image: {}
    image: registry.redhat.io/redhat/certified-operator-index:v4.7

Comment 6 errata-xmlrpc 2021-07-27 22:43:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.